Name:			knetload
Summary:		Network traffic monitor
Version:		2.3
Release:		1mdk
Epoch:			2

Source:			knetload-%{version}.tar.bz2
Source1:		knetload_menuentry

Group:			Monitoring
Url:            http://kde.quakenet.eu.org/knetload.shtml
License:		GPL
BuildRoot:		%_tmppath/%name-%version-%release-root
BuildRequires:	kdelibs-devel libjpeg-devel libpng-devel XFree86-devel

Obsoletes:		kde3-knetload
Provides:		kde3-knetload

%description
KDE application that monitors network traffic.

%prep

%setup -q -nknetload-%{version}

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

CFLAGS="%optflags" CXXFLAGS="%optflags" \
           ./configure --prefix=%_prefix \
	               --disable-rpath \
		       --disable-debug \
		       --enable-final


%make

%install
# Dadou - 1.91-5mdk - Don't use makeinstall macro. It seems work but break
#                     installation
make install DESTDIR=%buildroot

install -d 755 %buildroot/%_menudir/
install -m 644 %{SOURCE1} %buildroot/%_menudir/knetload

%find_lang %name

%clean
rm -fr %buildroot

%post
%update_menus
/sbin/ldconfig

%postun
%clean_menus
/sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root,755)
%_bindir/*
#
#
%_menudir/*
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/knetload/
%dir %_datadir/apps/knetload/icons/
%_datadir/apps/knetload/icons/*
#
#
%_datadir/applications/kde/*
#
#
%_iconsdir/crystalsvg/16x16/apps/*
%_iconsdir/crystalsvg/32x32/apps/*
%_iconsdir/crystalsvg/48x48/apps/*

#%dir %_datadir/applnk/
#%dir %_datadir/applnk/System/
#%_datadir/applnk/System/*.desktop 
#
#
#%dir %_iconsdir/hicolor/
#%dir %_iconsdir/hicolor/16x16/
#%dir %_iconsdir/hicolor/16x16/apps/
#%_iconsdir/hicolor/16x16/apps/*
#
#%dir %_iconsdir/hicolor/32x32/
#%dir %_iconsdir/hicolor/32x32/apps/
#%_iconsdir/hicolor/32x32/apps/*
#
#%dir %_iconsdir/hicolor/48x48/
#%dir %_iconsdir/hicolor/48x48/apps/
#%_iconsdir/hicolor/48x48/apps/*
#
#
#%dir %_iconsdir/locolor/
#%dir %_iconsdir/locolor/16x16/
#%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*
#
#%dir %_iconsdir/locolor/32x32/
#%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/* 

#%dir %_docdir/HTML/en/knetload/
#%doc %_docdir/HTML/en/knetload/*.bz2
#%doc %_docdir/HTML/en/knetload/*.docbook
#%doc %_docdir/HTML/en/knetload/common

#%lang(fr) %_datadir/locale/fr/LC_MESSAGES/*.mo
#%lang(ru) %_datadir/locale/ru/LC_MESSAGES/*.mo


%changelog
* Tue Aug 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- 2.3

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-2mdk
- Rebuild

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- 2.2.2

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.99-2mdk
- Rebuild

* Fri Dec 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.99-1mdk
- 1.9.9

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.4-5mdk
- Rebuild against gcc-3.2

* Sun Jul 28 2002 David Walser <luigiwalser@yahoo.com> 1.9.4-4mdk
- rebuild

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.4-3mdk
- rebuild

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.4-2mdk
- Rebuild against gcc3.1

* Fri Apr 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.4-1mdk
- Port to kde3.0

